#{extends 'border.html'/}
<div class="container-fluid">
#{extends 'border.html'/}

    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{katalog.PermohonanPembaruanCtr.index()}">&{'permohonan_pembaruan.label'}</a></li>
                <li class="active">&{'detail_permohonan.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <div class="row">
        <div class="col-md-2">
        #{include 'pl/filter-produk-permohonan-stagging.html'/}
        </div>

        <div class="col-md-10">
            <h4>&{'daftar_produk.label'}</h4>
        #{alert /}
        #{if !model.items.isEmpty()}
            <!-- Toolbar -->
            <div class="toolbar">
                #{backButton action:@katalog.PermohonanPembaruanCtr.index()/}
                #{if showButtonKirim }
                    <a id="btn_kirim" href="#"
                       class="btn btn-warning"><i class="fa fa-paper-plane"></i> &{'kirim_permohonan.label'}
                    </a>
                #{/if}
                #{if showButtonSetujuTolakData && !showButtonSetujuTolakDisposisi}
                    <a href="#" onclick="openForm()" class="btn btn-success btn-md open-approval-data"><i
                            class="fa fa-calendar-check-o"></i> &{'verifikasi_data.label'}</a>
                #{/if}
                #{if showButtonSetujuTolakDisposisi }
                    <a href="#" onclick="openFormSetuju()" class="btn btn-danger btn-md open-approval-proses"><i
                            class="fa fa-check-circle"></i> &{'proses_persetujuan.label'}</a>
                #{/if}
            </div>
            <!-- End Toolbar -->

            <div class="panel panel-default">
                <input type="hidden" id="pmb" name="pmb" value="${pmb.id}">
                <div class="panel-body" style="overflow-x: auto">
                    <!-- Data Table -->
                    <table class="table table-striped" id="produk">
                        <thead>
                        <tr>
                            <th></th>
                            <th class="header-center">&{'nomor.label'}</th>
                            <th>&{'gambar.label'}</th>
                            <th class="header-center">&{'produk.label'}</th>
                            <th class="header-center">&{'nama_penyedia.label'}</th>
                            <th class="header-center">&{'status_produk.label'}</th>
                            <th class="column-center">&{'aksi.label'}</th>
                        </tr>
                        </thead>
                        <tbody>
                            #{set idx = (paramQuery.page - 1) * 20 /} *{default 20}*
                            #{list model.items, as:"i"}
                            <tr>
                                <td class="column-center"><input type="hidden" name='idProduk' value='${i.id}'/>
                                </td>
                                <td class="column-center"><h5>${idx = idx + 1}.</h5></td>
                                <td class="column-center"><img src="${i.getImageUrl()}" class="img img-responsive"
                                                               onerror="this.src='@{'/public/images/image-not-found.png'}';"/>
                                </td>
                                <td class="column-left"><a href="${i.getDetailCompareUrl(pmb.id)}" ><b>${i.no_produk}</b><br>${i.no_produk_penyedia}
                                    <br>${i.nama_manufaktur} ${i.nama_produk}</a></td>
                                <td class="column-left">${i.nama_penyedia}</td>
                                <td class="column-center">
                                    ${i.isApprovedPermohonan(listStagging,i.id)}
                                </td>
                                <td class="column-center">
                                    #{if showButtonKirim }
                                    <div class="dropdown">
                                        <button class="btn btn-default dropdown-toggle" type="button"
                                                id="dropdownMenu1" data-toggle="dropdown" aria-haspopup="true"
                                                aria-expanded="true">&{'aksi.label'}<span class="caret"></span>
                                        </button>
                                        #{printBerita i.createButtonEditStaging(pmb.id).toString()/}
                                    </div>
                                    #{/if}
                                </td>
                            </tr>
                            #{/list}
                        </tbody>
                    </table>
                    <!-- End Data Table -->
                </div>
            </div>
            #{pagination model.getPageAble()/}
        #{/if}
        #{else }
            #{ListDefaultMessage type:"Produk"/}
        #{/else}
        </div>
    </div>
#{include 'katalog/ProdukCtr/permohonan/dialogPersetujuan.html'/}
</div>

#{set 'moreScripts'}
<script src="@{'/public/javascripts/toast/jquery.toast.min.js'}" type="text/javascript"></script>
<script type="text/javascript">
    $(document).ready(function(){
        $("#btn_kirim").on("click", function (e) {
            e.preventDefault();

            var msg = "&{'warning_kirim_permohonan.label'}";
            var conf = confirm(msg);
            var href = "@{katalog.PermohonanPembaruanCtr.mintaPersetujuanSubmit(pmb?.id)}";
            if (conf == true) {
                window.location.href = href;
                //$("#btnKirim").click();
            }
        });
    });

    function openForm() {
        // document.getElementById("pembatalanForm").style.display = "block";
        $('#tipe').val("data");
        $('#permId').val(${pmb?.id});
        $('#modalTitle').text("&{'form_persetujuan.label'} &{'verifikasi_data.label'}");
        $('#formPersetujuan').modal('show').find('.modal-body').load($(this).attr('href'));
    }

    function openFormSetuju() {
        // document.getElementById("pembatalanForm").style.display = "block";
        $('#tipe').val("proses");
        $('#permId').val(${pmb?.id});
        $('#modalTitle').text("&{'form.label'} &{'proses_persetujuan.label'}");
        $('#formPersetujuan').modal('show').find('.modal-body').load($(this).attr('href'));
    }

    function submitSetuju() {
        if ($('#alasan').val() == "") {
            showToast(0);
        } else if ($('#tipe').val() == "proses" && ($('#kirimKeUser').val() == "" || $('#kirimKeUser').val() == null)) {
            showToast(1);
        } else {
            var st = "setuju";
            $('#setujuTolak').val(st);
            $('#formSetuju').submit();
        }
    }

    function submitTolak() {
        if ($('#alasan').val() == "") {
            showToast(0);
        } else {
            var st = "tolak";
            $('#setujuTolak').val(st);
            $('#formSetuju').submit();
        }
    }

    function showToast(tipe) {
        if (tipe == 0){
            jQuery.toast({
                heading: "&{'peringatan.label'}",
                text: "&{'alasan_tidak_boleh_kosong.label'}",
                position: 'bottom-center',
                stack: false,
                icon: 'error',
                hideAfter: 6000
            })
        } else {
            jQuery.toast({
                heading: "&{'peringatan.label'}",
                text: "&{'alasan_user_tidak_boleh_kosong.label'}",
                position: 'bottom-center',
                stack: false,
                icon: 'error',
                hideAfter: 6000
            })
        }
    }
</script>
#{/set}